import { r as registerInstance, h } from './index-439aa75f.js';

const ProfileView = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { name, location, role, imageSrc, homepage, note } = this.profile;
        return h("ion-card", null, h("ion-card-header", null, h("ion-avatar", null, h("img", { src: imageSrc })), h("ion-card-title", null, name), h("ion-card-subtitle", null, role)), h("ion-card-content", null, h("ion-grid", null, h("ion-row", null, h("ion-col", { size: "12", "size-sm": true }, h("ion-icon", { name: "location-outline" }), " ", location), h("ion-col", { size: "12", "size-sm": true }, h("ion-icon", { name: "globe-outline" }), " ", h("a", { href: homepage }, homepage))), h("ion-row", null, h("ion-col", { size: "12", "size-sm": true }, note)))));
    }
};

export { ProfileView as profile_view };
